Bug 489424 - (editarea) Review Request: editarea - EditArea is a free javascript editor for source code
Review Request: editarea - EditArea is a free javascript editor for source code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
http://cdolivet.net/editarea/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 19:05 EDT by Colin Coe
Modified: 2009-10-16 15:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.8.1.1-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 12:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Colin Coe 2009-03-09 19:05:27 EDT
Spec URL: http://members.iinet.net.au/~coec/editarea.spec
SRPM URL: http://members.iinet.net.au/~coec/editarea-0.7.2.3-1el5.src.rpm
Description: Here is EditArea, a free javascript editor for source code. (That is no way a WYSIWYG editor).
Comment 1 Colin Coe 2009-04-15 07:30:16 EDT
rpmlint output

---
[root@rpm01 ~]# rpmlint
/usr/src/redhat/RPMS/noarch/editarea-0.7.2.3-2.noarch.rpm
/usr/src/redhat/SRPMS/editarea-0.7.2.3-2.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
[root@rpm01 ~]#
---

Updated .src.rpm and .spec files:
- http://members.iinet.net.au/~coec/editarea-0.7.2.3-2.src.rpm
- http://members.iinet.net.au/~coec/editarea.spec

Change from release 1:
- Provide better summary and description.
Comment 2 Juha Tuomala 2009-07-21 12:23:02 EDT
Is the url mentioned in spec really correct?
Comment 3 Colin Coe 2009-07-21 20:57:01 EDT
Yes, I am sure this is the right URL.  http://downloads.sourceforge.net/editarea/editarea_0_7_2_3.zip
Comment 4 Juha Tuomala 2009-07-22 03:50:54 EDT
(In reply to comment #3)
> Yes, I am sure this is the right URL. 
> http://downloads.sourceforge.net/editarea/editarea_0_7_2_3.zip  

No. You're talking about Source0: tag. I'm talking about URL tag. :)

I don't think people are looking for mp3 music archive and some weird Error string, *or* your Summary: tag is completely wrong and misleading.
Comment 5 Colin Coe 2009-08-17 09:28:41 EDT
OK, point taken.

Spec file fixed and RPM rebased to v0.8.1.1

http://members.iinet.net.au/~coec/editarea.spec
http://members.iinet.net.au/~coec/editarea-0.8.1.1-1.src.rpm
Comment 6 Colin Coe 2009-08-21 00:19:00 EDT
koji build --scratch dist-f11 ../SRPMS/editarea-0.8.1.1-1.src.rpm 
Uploading srpm: ../SRPMS/editarea-0.8.1.1-1.src.rpm
[====================================] 100% 00:00:08 295.27 KiB  36.46 KiB/sec
Created task: 1619542
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1619542
Watching tasks (this may be safely interrupted)...
1619542 build (dist-f11, editarea-0.8.1.1-1.src.rpm): free
1619542 build (dist-f11, editarea-0.8.1.1-1.src.rpm): free -> open (ppc9.fedora.phx.redhat.com)
  1619543 buildArch (editarea-0.8.1.1-1.src.rpm, noarch): open (ppc3.fedora.redhat.com)
  1619543 buildArch (editarea-0.8.1.1-1.src.rpm, noarch): open (ppc3.fedora.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
1619542 build (dist-f11, editarea-0.8.1.1-1.src.rpm): open (ppc9.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

1619542 build (dist-f11, editarea-0.8.1.1-1.src.rpm) completed successfully
Comment 7 Colin Coe 2009-09-07 08:10:15 EDT
Fix broken Apache config file.

Tidied spec file

http://members.iinet.net.au/~coec/editarea.spec
http://members.iinet.net.au/~coec/editarea-0.8.1.1-3.src.rpm  

CC
Comment 8 Mamoru TASAKA 2009-09-10 08:28:16 EDT
Dennis, are you going to take care of this package?
Comment 9 Colin Coe 2009-09-16 03:52:23 EDT
- Stop packaging duplicate files
- Fix summary line
- Change references to 'exemples' to 'examples'

http://members.iinet.net.au/~coec/editarea.spec
http://members.iinet.net.au/~coec/editarea-0.8.1.1-4.src.rpm
Comment 10 Mamoru TASAKA 2009-09-21 14:42:13 EDT
Revoking the assignee, reassigning to myself.

Well, I don't know how to use this package, however,
packaging itself seems very simple.

Some notes:
* Source0
  - Would you explain why commented out the full URL of Source0?
    I tried to access the URL and it seems valid.
Comment 11 Colin Coe 2009-09-22 06:52:28 EDT
Hi and thanks for taking over this BZ.

I've no idea why I commented out the full URL.  I've removed the short entry and uncommented the full URL.

http://members.iinet.net.au/~coec/editarea-0.8.1.1-5el5.src.rpm

CC
Comment 12 Mamoru TASAKA 2009-09-22 12:09:24 EDT
Okay.

---------------------------------------------------
  This package (editarea) is APPROVED by mtasaka
---------------------------------------------------
Comment 13 Colin Coe 2009-09-22 18:25:19 EDT
New Package CVS Request
=======================
Package Name: editarea
Short Description: A replacement for the HTML textarea tag
Owners: coec
Branches: F-10 F-11 EL-5
InitialCC: coec
Comment 14 Kevin Fenzi 2009-09-24 00:38:14 EDT
cvs done.
Comment 15 Fedora Update System 2009-09-24 07:57:41 EDT
editarea-0.8.1.1-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/editarea-0.8.1.1-5.el5
Comment 16 Fedora Update System 2009-09-24 07:57:47 EDT
editarea-0.8.1.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/editarea-0.8.1.1-5.fc11
Comment 17 Fedora Update System 2009-09-24 07:57:53 EDT
editarea-0.8.1.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/editarea-0.8.1.1-5.fc10
Comment 18 Fedora Update System 2009-09-25 16:11:42 EDT
editarea-0.8.1.1-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update editarea'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9936
Comment 19 Fedora Update System 2009-09-25 16:16:36 EDT
editarea-0.8.1.1-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update editarea'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9963
Comment 20 Fedora Update System 2009-09-25 21:27:10 EDT
editarea-0.8.1.1-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update editarea'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0511
Comment 21 Mamoru TASAKA 2009-09-30 12:12:54 EDT
Closing.
Comment 22 Fedora Update System 2009-10-15 18:36:08 EDT
editarea-0.8.1.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-10-15 18:39:12 EDT
editarea-0.8.1.1-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-10-16 15:31:22 EDT
editarea-0.8.1.1-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.